> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar un estado de inventario

> Operacion: Actualizar un estado de inventario.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/gps_inventory/update
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/gps_inventory/update:
    post:
      tags:
        - GPS Inventory
      summary: Actualizar un estado de inventario
      description: 'Operacion: Actualizar un estado de inventario.'
      operationId: GpsInventoryController_updateInventory
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGpsInventoryDto'
      responses:
        '200':
          description: Estado de inventario actualizado exitosamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageWithStatusResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateGpsInventoryDto:
      type: object
      properties:
        gps_inventory_id:
          type: number
          description: ID del estado de inventario
        gps_inventory_name:
          type: string
          description: Nombre del estado de inventario
      required:
        - gps_inventory_id
        - gps_inventory_name
    MessageWithStatusResponseDto:
      type: object
      properties:
        message:
          type: string
          description: Mensaje de respuesta
        status:
          type: number
          description: Código de estado
      required:
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````